Rendering issue with using sample as lamp in world settings
Closed, ResolvedPublic


I have discovered an issue which only occurs when using multi gpu rendering selected when using the sample as lamp option in the world settings using a background environment map. If only one video card is selected to use for the rendering device everything works fine.

I have included a simple blend file which on my system works if using 128 samples but if I increase them to 256 the sphere is reflecting just black. (renders fine with much higher values when using 1 gpu)

To reproduce the problem just increase the samples on the sample as lamp.

I am using 2 x GTX 570 1280Mb
I have tried 32bit and 64bit Windows 7 both have the same result.

Sergey Sharybin (sergey) added a comment.Via Old WorldJul 3 2012, 1:53 PM

Brecht, could you please check on this?

Roy Gore (ragbuster) added a comment.Via Old WorldAug 7 2012, 7:21 PM

Get the same result with 2 x gtx 570 2.5GB cards as well.

Thomas Dinges (dingto) added a comment.Via Old WorldSep 19 2012, 10:55 AM

Can you please re-test with RC1?

Roy Gore (ragbuster) added a comment.Via Old WorldSep 20 2012, 9:09 AM

Still the same issue. Strangely if I reduce the value to 255 it sometimes renders correctly, and sometimes renders properly when returning it back to 256. Is it some sort of sync issue when using multi gpu?

Brecht Van Lommel (brecht) added a comment.Via Old WorldOct 1 2012, 8:32 PM

Fix in svn, thanks for the report.

Brecht Van Lommel (brecht) closed this task as "Resolved".Via Old WorldOct 1 2012, 8:32 PM

Add Comment